# List bank account detail orders

Returns the bank account assignment requests for a profile and multi-currency account.

The response includes bank-details orders in the following statuses: PENDING_USER, PENDING_TW, REQUIREMENTS_FULFILLED, DONE.

Endpoint: GET /v3/profiles/{profileId}/account-details-orders
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile to list bank account detail orders for.
    Example: 12345678

## Query parameters:

  - `currency` (string, required)
    Currency code (ISO 4217 Alphabetic Code).
    Example: "GBP"

## Response 200 fields (application/json):

  - `status` (string)
    Order status.
    Enum: "PENDING_USER", "PENDING_TW", "REQUIREMENTS_FULFILLED", "DONE"

  - `currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: "EUR"

  - `requirements` (array)
    List of requirements for the order.

  - `requirements.type` (string)
    Requirement type.
    Enum: "VERIFICATION", "TOP_UP"

  - `requirements.status` (string)
    Requirement status.
    Enum: "PENDING_USER", "PENDING_TW", "DONE"


